## libvmod-selector 2.6.0

=== debian/changelog ===
libvmod-selector (2.6.0-5) unstable; urgency=low

  * Use new dh_varnishabi added in libvarnishapi-dev (>= 7.6.0-2~).

 -- Michael Fladischer <fladi@debian.org>  Fri, 25 Oct 2024 21:14:14 +0000

libvmod-selector (2.6.0-4) unstable; urgency=low

  * Add upstream patches to fix building with Varnish 7.5.
  * Update year in d/copyright.
  * Increase minimum Varnish version to 7.5.0.
  * Change pkg-config to pkgconf in d/control.
  * Bump Standards-Version to 4.7.0.
  * Disable faulty test.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jul 2024 12:17:22 +0000

libvmod-selector (2.6.0-3) unstable; urgency=low

  * Fix salsa repository location.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Oct 2022 15:19:42 +0000

libvmod-selector (2.6.0-2) unstable; urgency=low

  * Use code.uplex.de repository instead of gitlab mirror.
  * Add upstream patches for Varnish 7.x compatibility.
  * Remove dh_auto_test override because libnss-wrapper is not needed.
  * Fix expected output for varnishadm vcl.load in autopkgtests.
  * Bump Standards-Version to 4.6.1.0.
  * Bump dependency on varnish to (>= 7.1~).

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Oct 2022 07:35:48 +0000

libvmod-selector (2.6.0-1) unstable; urgency=low

  * Initial release (Closes: #1001418).

 -- Michael Fladischer <fladi@debian.org>  Thu, 30 Dec 2021 12:11:13 +0000
