## libvmod-selector 2.6.0+20250506

=== debian/changelog ===
libvmod-selector (2.6.0+20250506-3) unstable; urgency=medium

  * Raise the tests timeout, because match.vtc sistematically fails on slower
    or overloaded architectures like riscv64, alpha and ppc64el.

 -- Marco d'Itri <md@linux.it>  Mon, 18 Aug 2025 03:27:39 +0200

libvmod-selector (2.6.0+20250506-2) unstable; urgency=medium

  * Rebuild for unstable.
  * Backport the upstream commit to stop using the now reserved "bool"
    keyword. (Closes: #1097287)

 -- Marco d'Itri <md@linux.it>  Sat, 16 Aug 2025 23:55:55 +0200

libvmod-selector (2.6.0+20250506-1) experimental; urgency=medium

  * New upstream snapshot. Fixes:
    - Building with make --shuffle. (Closes: #1105506)

 -- Marco d'Itri <md@linux.it>  Sun, 22 Jun 2025 23:48:31 +0200

libvmod-selector (2.6.0-5.1) unstable; urgency=medium

  * Remove some unused build dependencies.

 -- Marco d'Itri <md@linux.it>  Tue, 18 Mar 2025 23:19:06 +0100
