=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Maintainer: Varnish Package Maintainers <team+varnish-team@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
+ Marco d'Itri <md@linux.it>,
 Section: web
 Priority: optional
 Build-Depends:
+ architecture-is-64-bit,
  autoconf-archive,
  debhelper-compat (= 13),
- libev-dev,
- libhiredis-dev,
- libssl-dev,
  libvarnishapi-dev (>= 7.6.0-2~),
  pkgconf,
  python3-docutils,
  varnish (>= 7.6.0-2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2.0
 Vcs-Browser: https://salsa.debian.org/varnish-team/libvmod-selector
 Vcs-Git: https://salsa.debian.org/varnish-team/libvmod-selector.git
 Homepage: https://code.uplex.de/uplex-varnish/libvmod-selector
