=== debian/tests/control ===
Tests: serverspec
Depends:
 ruby-serverspec,
 varnish,
 @,
Restrictions: needs-root,isolation-container
